var globals = require('globals');
var eslintJs = require('@eslint/js');

module.exports = [
  eslintJs.configs.recommended,
  {
    languageOptions: {
      sourceType: 'module',
      globals: {
        ...globals.commonjs,
        ...globals.es2015,
        ...globals.browser,
        ...globals.jquery,
        django: 'readonly',
        Sentry: 'readonly',
      },
    },
    rules: {
      'indent': ['error', 2, {SwitchCase: 1}],
      'complexity': ['error', 20],
      'eol-last': ['error'],
      'max-len': ['error', 120],
      'radix': ['error', 'always'],
      'semi': ['error'],
      'semi-spacing': ['error'],
      'semi-style': ['error', 'last'],

      'array-bracket-spacing': ['warn'],
      'brace-style': ['warn', '1tbs'],
      'camelcase': ['warn'],
      'comma-spacing': ['warn'],
      'comma-style': ['warn'],
      'consistent-return': ['warn'],
      'curly': ['warn', 'all'],
      'eqeqeq': ['warn'],
      'func-call-spacing': ['warn'],
      'guard-for-in': ['warn'],
      'init-declarations': ['warn'],
      'key-spacing': ['warn'],
      'keyword-spacing': ['warn'],
      'linebreak-style': ['warn', 'unix'],
      'quotes': ['warn', 'single'],
      'no-eval': ['warn'],
      'no-extra-parens': ['warn'],
      'no-implicit-coercion': ['warn'],
      'no-implicit-globals': ['warn'],
      'no-implied-eval': ['warn'],
      'no-labels': ['warn'],
      'no-lone-blocks': ['warn'],
      'no-lonely-if': ['warn'],
      'no-multi-spaces': ['warn'],
      'no-multi-str': ['warn'],
      'no-return-assign': ['warn'],
      'no-self-compare': ['warn'],
      'no-trailing-spaces': ['warn'],
      'no-unsafe-negation': ['warn'],
      'no-unused-expressions': ['warn'],
      'no-use-before-define': ['warn'],
      'no-useless-call': ['warn'],
      'no-useless-concat': ['warn'],
      'no-useless-escape': ['warn'],
      'no-void': ['warn'],
      'no-whitespace-before-property': ['warn'],
      'no-with': ['warn'],
      'object-property-newline': ['warn'],
      'space-before-function-paren': ['warn'],
      'space-infix-ops': ['warn'],
      'space-unary-ops': ['warn'],
      'spaced-comment': ['warn'],
      'wrap-iife': ['warn'],
    },
  },
];
